commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Carman <ja...@carmanconsulting.com>
Subject Re: [all] Java 5 vs. 6
Date Sat, 11 Feb 2012 03:45:08 GMT
On Fri, Feb 10, 2012 at 9:56 PM, Henri Yandell <flamefew@gmail.com> wrote:
> I don't see why we would have to wait on major versions for updates.
>

Well, if we compile foo-1.1 with Java 5 and then compile foo-1.2 with
Java 6 (assuming we don't target 1.5 on the compile), doesn't that
make them effectively binary incompatible?  Version 1.2 isn't a
drop-in replacement for 1.1, since it requires a Java version change.
I don't think that would be too cool.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message